<?php

function an_after_setup_theme() {
 remove_filter('excerpt_more', 'twentyten_auto_excerpt_more');
 remove_filter('get_the_excerpt', 'twentyten_custom_excerpt_more');
}
add_action('after_setup_theme', 'an_after_setup_theme');

function an_get_the_excerpt($output) {
 global $post;
	return $output .= '<span class="consulter"><a href="'. get_permalink() . '">Lire l\'article &raquo;</a></span>';
}
add_filter('get_the_excerpt', 'an_get_the_excerpt');

/* Exemple de fonction du parent écrasée :
 1) Choix de non-utilisation de author.php :
  1.1) L'auteur est affiché sans lien.
  1.2) Vous pouvez aussi pointer vers une page de présentation générale, votre Google plus, etc. (voir dernière ligne commentée).
 2) Il suffit de supprimer cette fonction entièrement ici pour que celle du parent fonctionne à nouveau comme à l'origine.
 Note : si vous ré-implémentez l'affichage des auteurs et que vous souhaitez leur indexation par Google :
        => pensez à supprimer dans la condition du header.php : || is_author()
*/
function twentyten_posted_on() {
	printf( __( '<span class="%1$s">Posted on</span> %2$s <span class="meta-sep">by</span> %3$s', 'twentyten' ),
		'meta-prep meta-prep-author',
		sprintf( '<span class="entry-date">%1$s</span>', get_the_date()),
		sprintf( '%1$s', get_the_author())
		//sprintf( '<a href="http://www.mongoogleplusparexemple" rel="author">%1$s</a>', get_the_author()) // exemple avec lien voir : 1.2)
	);
}

/* SEO Axenet (appellée dans header.php)
*/
function an_pagination() { // SEO : anti duplicate title
 global $page, $paged;
 if ($paged > 1 || $page > 1) {
  return  ' - ' . sprintf(__( 'Page %s', 'twentyten' ), max( $paged, $page ));
 }
}
?>
