<?php /* wp header.php modifié par axe-net.fr */

// CONSTANTES À DÉFINIR POUR LE TEXTE DE PRÉSENTATION (avec h1 ou h2 auto sur sidebar-right.php)
define('H1H2', "Le titre h1 ou h2 (auto) sur la sidebar (voir header.php)");
define('H1H2_TXT', "Le petit texte de <strong>présentation du blog</strong> sur la sidebar à modifier (voir header.php).");

if (is_home()) { /*** homepage avec plusieurs articles ou home.php ***/

 // SAISISSEZ ICI VOS TITLE ET METADESCRIPTION POUR LA HOMEPAGE
 $sTitle = "TITLE ACCUEIL DU BLOG À MODIFIER (voir header.php)";
 $sMetaDescription = "";

 $sTitle .= an_pagination();

} else if (is_single() || is_page()) { /*** un seul article (complet) ou une page (y compris l'éventuelle home statique) ***/

 if (!($sTitle = get_post_meta((int)$post->ID, 'title', true))) { // seo title champ personnalisé
 $sTitle = wp_title('', false);
 $sTitle .= ' > '.get_bloginfo('name'); //*Le nom du site en fin de title non SEO (à commenter ou non)
 }
 $sMetaDescription = get_post_meta((int)$post->ID, 'meta-description', true);

} else { /*** tout le reste (catégories, archives, search, etc.) ***/

 $sTitle = wp_title('', false);
 $sTitle .= an_pagination();
 $sTitle .= ' > '.get_bloginfo('name'); //*Le nom du site en fin de title (à commenter ou non)

}

//$sTitle .= ' > '.get_bloginfo('name'); //*Le nom du site en fin de title dans tous les cas (si décommentée => commenter tous ceux ci-dessus)

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html <?php language_attributes(); ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php bloginfo('charset'); ?>" />
<title><?php echo trim($sTitle); ?></title>
<?php
/* Anti-duplicate SEO axe-net.fr
   avec une meta noindex pour : les pages "recherche"  OU (toutes celles d'archives SAUF les catégories)
   Pour modifier la condition en fonction de vos besoins consultez : http://codex.wordpress.org/fr:Marqueurs_conditionnels
*/
 if (is_search() || (is_archive() && !(is_category()))) {
  echo '<meta name="robots" content="noindex" />'.PHP_EOL;
 } else if (!empty($sMetaDescription)) {
  echo '<meta name="description" content="'.$sMetaDescription.'" />'.PHP_EOL;
 }
?>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<?php
	/* We add some JavaScript to pages with the comment form
	 * to support sites with threaded comments (when in use).
	 */
	if ( is_singular() && get_option( 'thread_comments' ) )
		wp_enqueue_script( 'comment-reply' );

	/* Always have wp_head() just before the closing </head>
	 * tag of your theme, or you will break many plugins, which
	 * generally use this hook to add elements to <head> such
	 * as styles, scripts, and meta tags.
	 */
	wp_head();
?>
</head>

<body <?php body_class(); ?>>
<div id="wrapper" class="hfeed">

	<div id="header">
  <a href="<?php bloginfo('url'); ?>" style="position:absolute;top:26px;left:20px;z-index:10;" title="Accueil">
   <img src="<?php bloginfo('stylesheet_directory'); ?>/images/logo.png" alt="" />
  </a>
		<div id="masthead">
			<div id="branding"></div>
			<div id="access">
			  <?php /*  Allow screen readers / text browsers to skip the navigation menu and get right to the good stuff */ ?>
				<div class="skip-link screen-reader-text"><a href="#content" title="<?php esc_attr_e( 'Skip to content', 'twentyten' ); ?>"><?php _e( 'Skip to content', 'twentyten' ); ?></a></div>
				<?php /* Our navigation menu.  If one isn't filled out, wp_nav_menu falls back to wp_page_menu.  The menu assiged to the primary position is the one used.  If none is assigned, the menu with the lowest ID is used.  */ ?>
				<?php wp_nav_menu( array( 'menu_class' => 'menu-header', 'theme_location' => 'primary' ) ); ?>
    <div class="clear"></div>
			</div>
		</div>
	</div>

	<div id="main">
